---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libredefineCFLH.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50570, symBinAddr: 0xC320, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x524B0, symBinAddr: 0xE260, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x528A0, symBinAddr: 0xE650, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53840, symBinAddr: 0xF5F0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53850, symBinAddr: 0xF600, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: _CLASS_NAME, symObjAddr: 0xDEA8, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x7D3, offset: 0x7D3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x500A0, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x7DE, offset: 0x7DE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x500A4, symBinAddr: 0xC094, symSize: 0x0 }
  - { offsetInCU: 0x7E9, offset: 0x7E9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x500A8, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0x82E, offset: 0x82E, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50200, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x8A7, offset: 0x8A7, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x502B8, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8C5, offset: 0x8C5, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x502BC, symBinAddr: 0xC15C, symSize: 0x0 }
  - { offsetInCU: 0x8DE, offset: 0x8DE, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x502C0, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8F7, offset: 0x8F7, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x502C4, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0x910, offset: 0x910, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x502C8, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8EFF, offset: 0x8EFF, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x502D0, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8F88, offset: 0x8F88, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x502E8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FA1, offset: 0x8FA1, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x502F0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FBA, offset: 0x8FBA, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x502F8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8FD3, offset: 0x8FD3, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50300, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8FED, offset: 0x8FED, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50308, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x90D3, offset: 0x90D3, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x5034A, symBinAddr: 0xC1BA, symSize: 0x0 }
  - { offsetInCU: 0x90F3, offset: 0x90F3, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50350, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x910C, offset: 0x910C, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x50358, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x912C, offset: 0x912C, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x50360, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9145, offset: 0x9145, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x50370, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x9197, offset: 0x9197, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x4530, symSize: 0x80 }
  - { offsetInCU: 0x922C, offset: 0x922C, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x4480, symSize: 0xB0 }
  - { offsetInCU: 0x9287, offset: 0x9287, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x4380, symSize: 0x100 }
  - { offsetInCU: 0x951A, offset: 0x951A, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x45B0, symSize: 0x220 }
  - { offsetInCU: 0x96FF, offset: 0x96FF, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x47D0, symSize: 0xA0 }
  - { offsetInCU: 0x97B2, offset: 0x97B2, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x4870, symSize: 0x110 }
  - { offsetInCU: 0x98A8, offset: 0x98A8, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x4980, symSize: 0x150 }
  - { offsetInCU: 0x99D9, offset: 0x99D9, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4AD0, symSize: 0x30 }
  - { offsetInCU: 0x9A9A, offset: 0x9A9A, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4B00, symSize: 0x150 }
  - { offsetInCU: 0x9C92, offset: 0x9C92, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4C50, symSize: 0x160 }
  - { offsetInCU: 0x9E1E, offset: 0x9E1E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4DB0, symSize: 0x1B0 }
  - { offsetInCU: 0xA039, offset: 0xA039, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4F60, symSize: 0xA0 }
  - { offsetInCU: 0xA160, offset: 0xA160, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x5000, symSize: 0x20 }
  - { offsetInCU: 0xA197, offset: 0xA197, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x5020, symSize: 0x20 }
  - { offsetInCU: 0xA1CE, offset: 0xA1CE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x5040, symSize: 0x20 }
  - { offsetInCU: 0xA33D, offset: 0xA33D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x5060, symSize: 0x1A0 }
  - { offsetInCU: 0xA663, offset: 0xA663, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x5200, symSize: 0x80 }
  - { offsetInCU: 0xA72C, offset: 0xA72C, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x5280, symSize: 0x6A0 }
  - { offsetInCU: 0xB2C1, offset: 0xB2C1, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA070, symBinAddr: 0x6480, symSize: 0xB0 }
  - { offsetInCU: 0xB338, offset: 0xB338, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5920, symSize: 0x70 }
  - { offsetInCU: 0xB42C, offset: 0xB42C, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5990, symSize: 0xA0 }
  - { offsetInCU: 0xB557, offset: 0xB557, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5A30, symSize: 0x40 }
  - { offsetInCU: 0xB64D, offset: 0xB64D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5A70, symSize: 0x2B0 }
  - { offsetInCU: 0xB9F3, offset: 0xB9F3, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5D20, symSize: 0xC0 }
  - { offsetInCU: 0xBB39, offset: 0xBB39, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5DE0, symSize: 0x10 }
  - { offsetInCU: 0xBBFB, offset: 0xBBFB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5DF0, symSize: 0x220 }
  - { offsetInCU: 0xBEF8, offset: 0xBEF8, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x6010, symSize: 0x10 }
  - { offsetInCU: 0xBF55, offset: 0xBF55, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x6020, symSize: 0x1E0 }
  - { offsetInCU: 0xC1D0, offset: 0xC1D0, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9DF0, symBinAddr: 0x6200, symSize: 0x10 }
  - { offsetInCU: 0xC22D, offset: 0xC22D, size: 0x8, addend: 0x0, symName: _VMInit, symObjAddr: 0x9E00, symBinAddr: 0x6210, symSize: 0x20 }
  - { offsetInCU: 0xC264, offset: 0xC264, size: 0x8, addend: 0x0, symName: _ClassFileLoadHook, symObjAddr: 0x9E20, symBinAddr: 0x6230, symSize: 0x120 }
  - { offsetInCU: 0xC430, offset: 0xC430, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_events_redefineCFLH_JvmtiTest_makeRedefinition, symObjAddr: 0x9F40, symBinAddr: 0x6350, symSize: 0x120 }
  - { offsetInCU: 0xC57C, offset: 0xC57C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_events_redefineCFLH_JvmtiTest_GetResult, symObjAddr: 0xA060, symBinAddr: 0x6470, symSize: 0x10 }
  - { offsetInCU: 0xC5B1, offset: 0xC5B1, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA120, symBinAddr: 0x6530, symSize: 0x36A }
...
